Subject: Re: bug#15951: 24.3.50; C-n and C-p don't work in narrowed buffer

From: Stephen Berman <[email-masked]>
Date: Fri, 22 Nov 2013 12:59:21 +0100

On Fri, 22 Nov 2013 13:14:49 +0900 Katsumi Yamaoka <[email-masked]> wrote:

> Run Emacs with the -Q option, create a new buffer, and put those
> three lines there,
>
> foo
> bar
> baz
>
> type  C-p  C-p  C-SPC  M-> , and type `C-x n n' so that the last
> two lines are visible.  Then you will see C-n and C-p don't work.

This is evidently more fallout from enabling cache-long-scans: if you
set this to nil, C-n and C-p work again.

> In GNU Emacs 24.3.50.1 (i686-pc-cygwin, GTK+ Version 3.8.2)
>  of 2013-11-22 on localhost
> Bzr revision: 115177 [email-masked]
> Windowing system distributor `The Cygwin/X Project', version 11.0.11404000
> Configured using:
>  `configure --verbose --with-x-toolkit=gtk3'

Steve Berman